Created: 2011-12-07 Assigned To: Xavier Perseguers
Is Regression:
Sprint Focus:
Subject: MENU special = updated not working in 4.6
Description

MENU special = updated is not working in TYPO3 Version 4.6.1

Following code worked with Version 4.5:

page.20.marks.LASTUPDATE.25 = HMENU
page.20.marks.LASTUPDATE.25 {
    special = updated
    special {
        value = 1
        depth = 3
        maxAge = 3600*24*90
        limit = 5
    }

    1 = TMENU
    1 {
        NO = 1
        NO.wrapItemAndSub = <li>|</li>
    }
}

Related issues:
related to Core - Bug # 31209: CONTENT still can't select records from rootpage Closed 2011-10-24
duplicated by Core - Bug # 33220: Empty content object when select.pidInList=... Closed 2012-01-16

Associated revisions
Revision 4b2eec1f - 2012-01-18 12:17 - Xavier Perseguers

[BUGFIX] MENU special = updated does not work anymore

Since stdWrap has been introduced on HMENU properties, a wrong
test removes the condition pidInList=0 which prevents the inclusion
of a pid IN (current page) clause in the query used to retrieved
recently modified pages.

Change-Id: Ibaea85d6162653b45260d687f682706d9f372b88
Fixes: #32374
Releases: 4.7, 4.6
Reviewed-on: http://review.typo3.org/7739
Reviewed-by: Philipp Gampe
Reviewed-by: Oliver Hader
Tested-by: Oliver Hader
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Xavier Perseguers
Tested-by: Xavier Perseguers

Revision 12f76a24 - 2012-01-18 12:18 - Xavier Perseguers

[BUGFIX] MENU special = updated does not work anymore

Since stdWrap has been introduced on HMENU properties, a wrong
test removes the condition pidInList=0 which prevents the inclusion
of a pid IN (current page) clause in the query used to retrieved
recently modified pages.

Change-Id: Ibaea85d6162653b45260d687f682706d9f372b88
Fixes: #32374
Releases: 4.7, 4.6
Reviewed-on: http://review.typo3.org/7839
Reviewed-by: Xavier Perseguers
Tested-by: Xavier Perseguers

History
#1 - 2011-12-07 18:37 - Markus Klein

Hi Sven!

What does it show now? Nothing or too much, wrong data?

Regards Markus

#2 - 2011-12-08 10:01 - sven waechli
- File Screen_Shot_2011-12-08_at_09.33.56.png added

Hi Markus
The menu behaves as if there were no updated pages. That means zero output. I reproduced the problem locally with the TYPO3 MAMP Installer
Version 4.5.3 and 4.6.1. The installed testsite already contains lastupdated Typoscript Code that just needs to be activated. Result: 4.5.3 works (menu
is generated), 4.6.1 is not working (no menu is generated). A screenshot of how it should work is attached.

Kind regards,
Sven

#3 - 2011-12-08 12:24 - Henrik Ziegenhain
I can confirm it as a bug.
My lastUpdated menu stopped working with 4.6 - I output the 9 last updated pages.

Now the pages seems to be unordered and selected wrong.

#4 - 2012-01-11 14:38 - Ingo Pfennigstorf

I can confirm this, too - TYPO3 4.6.3

#5 - 2012-01-11 15:03 - Xavier Perseguers
- Status changed from New to Accepted

#6 - 2012-01-11 15:27 - Xavier Perseguers
- Assigned To set to Xavier Perseguers

OK, I trapped the bug! Now have to figure out how to deal with it

#7 - 2012-01-11 15:33 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7739

#8 - 2012-01-18 12:18 - Gerrit Code Review

Patch set 1 for branch TYPO3_4-6 has been pushed to the review server.
It is available at http://review.typo3.org/7839

#9 - 2012-01-18 12:19 - Xavier Perseguers
- Status changed from Under Review to Resolved
- Target version set to 4.6.4

#10 - 2012-02-07 08:20 - Xavier Perseguers
- Status changed from Resolved to Closed
